#include <iostream>
#include <sstream>
using namespace std;

int num_month[]={31,28,31,30,31,30,31,31,30,31,30,31};
int num_monthl[]={31,29,31,30,31,30,31,31,30,31,30,31};

bool isValid(int year, int month, int day)
{
  if(year >= 10 && year <= 19) return false;
  //
  bool leap;
  if (month>50)
    month-=50;
  /*if ((year>=20 && year<=99))
    year+=1900;
  else
    year+=2000;
  */
  
  if (!(month>=1 && month<=12))
    return false;
  
  if (year % 4 !=0)
    leap=false;
  /*if (year %100 !=0)
    leap=true;
  if (year %400 != 0)
    leap=false;*/
  else
    leap=true;
  
  if (leap)
  {  
    if (day>num_monthl[month-1] && day <= 0)
      return false;
  }
  else
  {
    if (day>num_month[month-1] && day <= 0)
    return false;
  }
  return true;
}

void invalid(string &line)
{
  cout << "invalid\n";
  getline(cin,line);
}

int main()
{
  string line;
  getline(cin,line);
  while (line!="end")
  {
   // cout << line << endl;
    if (line.size()<10 || line.size()>11)
    {
      invalid(line);
      continue;
    }
    
    int year=0;
    year+=(int(line[0]-'0')*10)+(int(line[1]-'0'));
    int month=0;
    month+=(int(line[2]-'0')*10)+(int(line[3]-'0'));
    int day=0;
    day+=(int(line[4]-'0')*10)+(int(line[5]-'0'));
    //cout << year << " " << month << " " << day << endl;
    if (!isValid( year, month, day))
    {
      invalid(line);
      continue;
    }
    
    if (line.size()==11)
    if ((year>=20 && year<=53))
    {
      invalid(line);
      continue;
    }
    if (line.size()==10)
    {
      
      
      if (!(year>=20 && year<=53))
      {
        invalid(line);
        continue;
      }
      line.insert(7,"0");
    }
      
    //cout << line << endl;
    
    
    long number=0;
    bool stop=false;
    bool boy=true;
    for (int i=0,j=line.size();i<j && !stop;++i)
    {
      switch (i) 
      {
        case 0:
          number+=(line[i]-'0');
       //   cout << number << endl;
          break;
        case 1:
          if (!isdigit(line[i]))
          {
            invalid(line);
            stop=true;
          }
          else
          {
            //number=number*10+(int(line[i]-'0'));
            number-=(line[i]-'0');  
           /* cout << line[i] << endl;
            cout << number << endl;*/
          }
          break;
        case 2:
          if (!isdigit(line[i]) && (line[i]=='0' || line[i]=='1' || line[i]=='5' || line[i]=='6'))
          {
            invalid(line);
            stop=true;
          }
          else
          {
            if (line[i]=='5' || line[i]=='6') 
              boy=false;
            //number=number*10+(int(line[i]-'0'));
            number+=(line[i]-'0');
            //cout << number << endl;
          }
          break;
        case 3:
          if (!isdigit(line[i]) && (line[i]=='0' || line[i]=='1'))
          {
            invalid(line);
            stop=true;
          }
          else
          {
           // number=number*10+(int(line[i]-'0'));
            number-=(line[i]-'0');
           // cout << number << endl;
          }
          break;
        case 4:
          if (!isdigit(line[i]) && (line[i]=='0' || line[i]=='1' || line[i]=='2' || line[i]=='3'))
          {
            invalid(line);
            stop=true;
          }
          else
          {
            //number=number*10+(int(line[i]-'0'));
            number+=(line[i]-'0');
          //  cout << number << endl;
          }
          break;
        case 5:
          if (!isdigit(line[i]))
          {
            invalid(line);
            stop=true;
          }
          else
          {
            //number=number*10+(int(line[i]-'0'));
            number-=(line[i]-'0');
           // cout << number << endl;
          }
          break;
        case 6:
          if (line[i]!='/')
          {
            invalid(line);
            stop=true;
          }
          break;
        case 7:
        case 8:
        case 9:
        case 10:
          if (!isdigit(line[i]))
          {
            invalid(line);
            stop=true;
          }
          else
          {
            //number=number*10+(int(line[i]-'0'));
            if ((i%2))
              number+=(line[i]-'0');
            else
              number-=(line[i]-'0');
           // cout << number << endl;
          }
          break;
      }
    }
    
    if (!(number%11))
    {
      if (boy)
        cout << "boy\n";
      else
        cout << "girl\n";
    }
    else
      cout << "invalid\n";
  //  cout << number << endl;
    getline(cin,line);
  }
  //cout << double(5353186663.0)/double(11.0) << endl;
  //cout << isValid(00, 50, 00) << endl;

  return 0;
}